Get Avura Connection
import requests
url = "https://platform.ankra.app/api/v1/org/avura/connection"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/avura/connection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/avura/connection \
--header 'Authorization: Bearer <token>'{
"connected": true,
"organisation_id": "<string>",
"zone_count": 123,
"credential_name": "<string>",
"base_url": "<string>",
"avura_organization_id": "<string>",
"avura_organization_name": "<string>",
"verified_at": "<string>",
"status": "connected",
"zone_names": [
"<string>"
],
"rotated": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Avura
Get Avura Connection
The linked Avura organization and a live count of the domains it shared with Ankra Platform. connected is false when none is linked; zone_count is null when Avura could not be asked.
GET
/
api
/
v1
/
org
/
avura
/
connection
Get Avura Connection
import requests
url = "https://platform.ankra.app/api/v1/org/avura/connection"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/avura/connection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/avura/connection \
--header 'Authorization: Bearer <token>'{
"connected": true,
"organisation_id": "<string>",
"zone_count": 123,
"credential_name": "<string>",
"base_url": "<string>",
"avura_organization_id": "<string>",
"avura_organization_name": "<string>",
"verified_at": "<string>",
"status": "connected",
"zone_names": [
"<string>"
],
"rotated": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Act on this organisation instead of the caller's current one. The caller must be an admin of it.
Response
Successful Response
Available options:
connected, token_rejected, unavailable